
               oooo    ooo  .ooooo.  ooo. .oo.   oooo  oooo 
                `88.  .8'  d88' `88b `888P"Y88b  `888  `888 
                 `88..8'   888ooo888  888   888   888   888 
                  `888'    888    .o  888   888   888   888 
                   .8'     `Y8bod8P' o888o o888o  `V88V"V8P'
               .o..P'
               `Y8P'              the image sharing tool for friends. 


yenu is a simple tool to share images among a trusted group of people. No
complicated setup, no fancy features nobody really uses, no role management,
no cloud, no bullshit. Just sharing images to people you like and store
your data where you want it to be.

# Installation

Start the application with the following command in a screen session or
write a systemd init file for that. Database migration will happen on boot
if needed.
  
    $ java -jar yenu.jar

If you like docker, you can use docker-compose to boot up the application
and send it to the background.

    $ docker-compose up -d

# Configuration
The application is configured with the yenu.properties file. Open the file
in your preferred editor and change the variables as you like. You can change
the basepath, port and other stuff like the user password and the creator
password.

# Where is my data?
All your images are placed in the data/gallery/ directory, next to the
yenu.jar. When uploading a image, the raw file is placed into the raw/ folder,
if you need the original later (pull out some metadata like GPS coordinates,
scale it into other formats, print it etc.) The scaled down images for the
details page are stored in the normal/ folder. The thumbnails/ folder contains
the quare images for the thumbnail preview.

The database in use is a SQLite3 database, stored in the yenu.db file. You
can open the database at any time with your favourite sqlite3 client.

    $ sqlite3 yenu.db
    > .tables
    > SELECT * FROM images;
    > ...

# Where can I run this thing?
Quick answer: Wherever you want. You can boot up a Amazon S3 node and deploy
it there or you put it on your RaspberryPi and host it yourself from your
own internet connection from home (preferred way!). You can also rent a
vServer and deploy it there. All you need is a Java RE and a internet
connection.
  
# License, Copyrights and Author
This tool is written by Aaron Fischer (aaron-fischer.net). It is free to use
and is placed under the GPL v.3. The images, comments and other metadata
belongs to you. Make sure, you store the data on a place you trust and make
backups.

